%define version 4.4.0
%define rversion 0.1.1

%define realname TK
%define modname tk
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A31_%{modname}.ini

Summary:	Provides TK functions for PHP4
Name:		php4-%{modname}
Version:	%{version}_%{rversion}
Release:	%mkrel 1
Group:		System/Servers
License:	PHP License
URL:		http://php-tk.sourceforge.net/
Source0:	tk-%{rversion}.tar.bz2
Patch0:		tk-0.1.1-lib64.diff.bz2
Requires:	php4-cli
BuildRequires:	php4-devel
BuildRequires:	tk
BuildRoot:	%{_tmppath}/%{name}-root

%description
PHP/TK is an native extension for the PHP programming language
that implements language bindings for TCL/TK. It provides an
object-oriented interface and greatly simplifies writing
client-side cross-platform GUI applications. 

%prep

%setup -q -n tk-%{rversion}
%patch0 -p0

%build

# source tk stuff
. %{_libdir}/tkConfig.sh

%{_usrsrc}/php4-devel/buildext tk "tk.c" \
    "${TK_XLIBSW} ${TK_LIB_SPEC} " "-DCOMPILE_DL_TK \
    -I${TK_SRC_DIR} ${TK_XINCLUDES}"

#php4ize
#export LIBS="$LIBS -ltk"
#%%configure2_5x \
#    --with-%{modname}=shared,%{_prefix}
#
#%%make
#mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

cat > %{buildroot}%{_sysconfdir}/php4.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc tests CREDITS
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}

%changelog
* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_0.1.1-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.1.1-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.1.1-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.1.1-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.1.1-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.1.1-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.1.1-1mdk
- initial mandrake package
- added P0
